   The following is the Quick Run section from the METZ Desktop Manager
manual.  This section is provided to quickly get you up and running
with Desktop.

                     Quick Run Overview

   Veteran Windows users will likely use Quick Run to quickly install
and launch Desktop, while new users might use it as a "short but quick
overview", and continue on into the complete Desktop Reference section
which follows. Although some of the terms described in Quick Run may
not be familiar to new Windows users, the Quick-Run text will give
you interesting insights into Desktop's operation.

                  A Quick Desktop Introduction

   Desktop is built around an application management function (menuing)
structure, consisting of two listboxes containing descriptions of
program applications and associated files.

   These descriptions include the application program to be run, and
any input (executable or parameter) files to be used. The descriptions
themselves can be a category heading (for example "Windows Utilities"),
the name or description of an executable file (for example "Ami Professional"),
or a description of the file parameter passed to the executable file
on startup (for example "JBLETTER.SAM").

   Desktop allows you to organize your applications and files into menus
according to your needs. You can specify exactly where the
application and files exist and, from that point on, avoid changing
directories while accessing Windows applications, the related data,
or both.

   When you add a new or update an existing menu item, there are three
fields you can fill in:

   The Description field, which can be any text you want and
is displayed in the listbox on the main screen.

   The Application to be run. The applications path is necessary
if the application cannot be found in your current environment path.
An available select button allows you to select an executable file
to be automatically placed in the application edit box.

   The Parameter list to be passed to the executable program
file along with the path, if necessary. Again, a path notation is
provided for, and is necessary if the parameter cannot be found in
your current directory path. An available select button allows you
to select an executable parameter file to be automatically placed
in the parameter edit box.

               Using DOS or Non-Windows Programs

   It is important to note that running non-Windows applications from
Desktop generally requires an appropriate, matching .PIF (Program
Information File) file for that applications program. Please refer
to your Microsoft Windows Users Guide for further information on PIF
files.

                     Quick-Run Application Notes

                          Desktop Files

   The following files are provided with Desktop, and are comprised
of required and optional files, as noted:

   Desktop.exe (Required) is the main executable file containing
the actual Desktop program. It must be located somewhere in your environment
path. We recommend placing it in your \Windows directory.

   Metzdll.exe (Required) is a link library for Desktop. It must
be located somewhere in your environment path. We recommend placing
it in your \Windows directory.

   Desktop.dsk The default sample menu provided. A file of this
type (with the .dsk suffix) is not absolutely required, however
it is recommended. Using "Desktop" as the file name prefix
is not required, however it too is recommended.

   Desktop.bmp and Desktop.wmf (both Optional) are a
sample bitmap and metafile respectively, for use with the Desktop
Screen Saver.

Desktop.ord (Optional) is the Desktop order form for
additional program copies.

   Desktop.doc (Optional) is a text documentation file, containing
any last minute information and operational notes regarding Desktop.

                    Quick Installing an Application

   From the menu bar displayed at the top of the Desktop screen, select
the Mode option. The Mode pull-down menu will display.

   From the MODE menu pull down, select the Add... option (CTRL+A).
The cursor will now change to a "fat crosshair" appearance.

   Position the crosshair in the left hand display screen, under any
existing menu listings present on the screen. The display screen is
immediately under the Desktop Date/Time display.

   Double-click the mouse at this location. The Add Selection
dialog box will display, and the cursor will be positioned in the
Description field.

   Enter the Description of the application program to be Added, using
up to 38 characters. For example, enter the descriptive name "Phones"
(no quotes) if you are adding the Metz Phones program to Desktop.

   Move the mouse (TAB) to the Application field.

   Enter the Windows application program name, along with the program
extension. For example, enter the application name PHONES.EXE
if you are adding the Metz Phones program.

   If the application is not in your currently defined PATH, add the
required location text to the application name. For example, if the
file PHONES.EXE is located in the \WINDOWS\PHONES subdirectory,
you would enter the text "\WINDOWS\PHONES\PHONES.EXE" (no
quotes) in the Application field.

   Alternately, you can use the Application SELECT button to
bring up a file directory listing dialog from which you may locate
the application program you are adding. Select the application you
want, and select the OK button. Desktop will take your selection
and insert it into the Application text box for you.

   If your application requires, or you request, that a parameter be
added to the application name when Desktop runs it, position the mouse
(TAB) to the Parameters field. Enter the required parameter
here, using an extension if it is required. For example, you might
enter "HODGES.FIL" as the parameter to be added to the PHONES.EXE
application name when Desktop loads the PHONES application file. If
the application requires no parameter, leave the Parameters
field blank.

   Alternately, use the Parameters Select button to bring up
a file directory list dialog. From this dialog, locate the parameter
file you are adding. Select the parameter file you want, then the
OK button. Desktop will insert your selection into the Parameters
box for you.

   With the Add information now complete, select one of the following
buttons:

   Insert Before: To insert your selection before (just
above) an existing entry, then select this button.

   Insert After: To insert your selection after (below)
an existing entry, then select this button.

   Cancel: Cancels the Add function, and returns you to the
Desktop main menu display.

   After Adding the application, remember to play it safe and Save the
now changed Desktop menu file back to the disk drive.

                   Saving the Desktop Menu File

   Move the cursor to the menu bar File option, and click to
display the menu pull-down. Select from the following options:

   Save: Select this option button if you want to save the Desktop
menu to the default file name, DESKTOP.DSK.

   Save As...: Select this option button if you want to save
the Desktop menu as a different file name. Enter the file name,
and select the Save button. If you enter only the file name
prefix (i.e., DESKTOP) without the .DSK suffix, Desktop
will automatically add the required .DSK suffix for you. Selecting
the Cancel button aborts the save.

   After saving the file, return to the normal Desktop Run mode by pulling
down the Mode menu again, and selecting the Run option.

                       Running Your Selection

   With a Mouse: Move the pointer over the selected application.
Double-click the mouse to activate the application.

   Using the Keyboard: Using the keyboard cursor keys, move the
highlight bar over the selected application. Press the <<Return>>
key to activate the application.

                       Returning to Desktop

   When you have closed your application, you will be returned to a screen
displaying the Desktop icon. Double-click on the icon to display the
Desktop menu. Note that Desktop may return you to the full screen
Desktop display if the Desktop Configuration command has turned
Minimize on. We will cover the Configuration area later in
the manual.

                          Exiting Desktop

   From the Desktop main menu, you may choose to exit Desktop only, or
to exit both Desktop and Windows at the same time. Be sure
that you are indeed in Desktop proper (also known as making sure that
Desktop has the focus) before exiting the program.

   Exiting Desktop Only: Select the Windows System icon bar in
the upper left corner of the Desktop menu screen. Now select Close
(ALT + F4). You will be returned to the Windows Executive screen.

   Exiting Both Desktop and Windows:
Select the Windows System icon bar in the upper left corner of the
Desktop menu screen. Now select Exit Windows (CTRL+E).
You will be returned to the DOS prompt.

   Alternate Exit Route: Move to the File menu pull-down.
Select Exit Windows (CTRL+E). You will be returned to the
DOS prompt.


The METZ Desktop User Manual was written by Joseph Rotello Jr.,
CompuSystems Management, Knoxville, TN, USA, (615) 573-1118

